Redmine - Defect #32047

Do not delete parent issues that have child issues
2019-09-11 09:19 - Hirofumi Kadoya

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Affected version:

Description
Do not delete parent issues that have child issues please
History

#1 - 2019-09-11 11:24 - Go MAEDA
- File parent-issue-deletion-confirmation@2x.png added

- Category set to Issues

+1
How about showing a confirmation dialog like the following instead of disallowing to delete a parent issue? In the current versions, a similar dialog is
shown when deleting an issue which has spent time logs.

Home My page Projects Administration Help

eCookbook

+ Overview Activity Roadmap RCEISE Spenttime Gantt Calendar

Confirmation

The issues you are about to delete have 5 subtasks. What do you want to do?

Delete the issues and its subtasks

© Delete the issues but keep its subtasks

Apply

#2 - 2019-09-11 13:00 - Bernhard Rohloff

+1
Sounds like a great idea and prevents the user from unforeseen side effects.

#3 - 2019-09-12 09:39 - Hirofumi Kadoya
Go Maeda,good!

| would like to request the same way

Files

parent-issue-deletion-confirmation@2x.png 26.6 KB 2019-09-11 Go MAEDA
